Upgrading Applications from 9.50 OOB to 9.52

I have installed a 9.50 OOB system. I am not trying to upgrad this sytem to 9.52 OOB. I downloaded the 9.52 file and applied the server patch to upgrade the RTE to 9.52. When I try to apply the 9.52 upgrade, I get the following message:

The Upgrade Utility does not suppor the current version:

Applications version upgrading from: 9.50.0002 PD

Applications version upgrading to: 9.52.0011

So it looks as though the upgrade package provided with the 9.52 files will not upgrade an OOB 9.50 system (which by defaults installs PD) to 9.52. Is there any other option to accomplish this upgrade?